package cz.moneta.test.regression.channels.digital.web;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;

@TestScenario(name = "Investment fund detail page")
public class InvestmentFundsTest {
    @TestCase(name = "Podílové fondy - detail", environments = {Environment.TST1, Environment.PPE})
    @JiraTestCase(id = "NWP-T901")
    public void tcRefreshInvestmentFundDetail(Harness harness) {
        harness.withMonetaPortal()
                .openHomePage()
                .acceptCookies()
                .openProductsDropDown()
                .clickFunds()
                .clickRiskFilterSelect()
                .clickOptionByValue("Nízká")
                .clickFundByOrder("3")
                .verifyChartBehavior();
    }

    @TestCase(name = "Podílové fondy - přehled", environments = {Environment.TST1, Environment.PPE})
    @JiraTestCase(id = "NWP-T900")
    public void tcRefreshInvestmentFundsList(Harness harness) {
        harness.withMonetaPortal()
                .openHomePage()
                .acceptCookies()
                .openProductsDropDown()
                .clickFunds()
                .clickAllFunds()
                .checkAllFilters();
    }
}
